﻿using CommunityManager.Data.Model;
using System.Collections.Generic;

namespace CommunityManager.Data.Access
{
    public class InMemoryCommunityDataProvider : ICommunityDataProvider
    {
        public List<Community> LoadCommunities()
        {
            return new List<Community>
            {
                new Community
                {
                    Name = "KleinMusterhausen",
                    PostalCode = 08150,
                    CommunityAdministration = new Administration
                    {
                        CommunityMayor = new CouncilMember
                        {
                            FirstName = "Bürger", LastName = "Meister"
                        },
                        CouncilMembers = new List<CouncilMember>
                        {
                            new CouncilMember{ FirstName = "1.", LastName = "Beigeordneter"}
                        }
                    },
                    StreetNetwork = new List<Street>
                    {
                        new Street
                        {
                            StreetName = "Hauptstraße", StreetAreas = new List<LandArea>()
                        },
                        new Street
                        {
                            StreetName = "Waldstraße", StreetAreas = new List<LandArea>()
                        },
                    }, 
                    Residents = new List<Person>
                    {
                        new Resident
                        {
                            FirstName = "Lischen", LastName = "Müller"
                        },
                        new Owner
                        {
                            FirstName = "Max", LastName = "Muster", IsResident = false
                        }
                    }
                }
            };
        }
    }
}
