﻿using CommunityManager.Data.Access;
using CommunityManager.Data.Model;
using System.Collections.ObjectModel;

namespace CommunityManager.ViewModel
{
    public class MainViewModel : ViewModelBase
    {
        private Community _selectedCommunity;
        private readonly ICommunityDataProvider _communityDataProvider;

        public MainViewModel(ICommunityDataProvider communityDataProvider)
        {
            Communities = new ObservableCollection<Community>();
            _communityDataProvider = communityDataProvider;
        }

        public ObservableCollection<Community> Communities { get; }

        public Community SelectedCommunity
        {
            get => _selectedCommunity;
            set
            {
                if (SetValue(ref _selectedCommunity, value))
                    OnPropertyChanged(nameof(IsCommunitySelected));
            }
        }

        public bool IsCommunitySelected => SelectedCommunity != null;

        public void Load()
        {
           var list = _communityDataProvider.LoadCommunities();
            list.ForEach(i => Communities.Add(i));
        }
    }
}
